Get historical KVault allocation volume
curl --request GET \
--url https://api.kamino.finance/kvaults/vaults/{pubkey}/allocation-volume/historyconst options = {method: 'GET'};
fetch('https://api.kamino.finance/kvaults/vaults/{pubkey}/allocation-volume/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kvaults/vaults/{pubkey}/allocation-volume/history"
response = requests.get(url)
print(response.text)false[
{
"timestamp": "2023-11-07T05:31:56Z",
"volumeUsd": "1234.56789"
}
]{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}Vault Data
Get historical KVault allocation volume
Get historical Kamino Earn Vault allocation volume for a given vault and date range (max 1 year)
GET
/
kvaults
/
vaults
/
{pubkey}
/
allocation-volume
/
history
Get historical KVault allocation volume
curl --request GET \
--url https://api.kamino.finance/kvaults/vaults/{pubkey}/allocation-volume/historyconst options = {method: 'GET'};
fetch('https://api.kamino.finance/kvaults/vaults/{pubkey}/allocation-volume/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kvaults/vaults/{pubkey}/allocation-volume/history"
response = requests.get(url)
print(response.text)false[
{
"timestamp": "2023-11-07T05:31:56Z",
"volumeUsd": "1234.56789"
}
]{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}Path Parameters
Valid base58-encoded address
Example:
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
Query Parameters
Date input (ISO 8601 string or epoch in ms)
Example:
"2024-01-01T00:00:00.000Z"
Date input (ISO 8601 string or epoch in ms)
Example:
"2024-01-01T00:00:00.000Z"